For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval requests
      • POSTCreate an approval request
      • GETGet an approval request by ID
      • POSTApprove an approval request
      • POSTCancel an approval request
      • POSTReject an approval request
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval requests

Get an approval request by ID

GET
/approval_requests/:approval_request_id
GET
/v1/approval_requests/:approval_request_id
$curl https://api.sandbox.monite.com/v1/approval_requests/approval_request_id \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "approved_by": [
6 "approved_by"
7 ],
8 "created_by": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
9 "object_id": "object_id",
10 "object_type": "account",
11 "required_approval_count": 1,
12 "role_ids": [
13 "role_ids"
14 ],
15 "status": "waiting",
16 "user_ids": [
17 "user_ids"
18 ],
19 "rejected_by": "rejected_by"
20}
Was this page helpful?
Previous

Approve an approval request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

approval_request_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
approved_bylist of strings
created_bystringformat: "uuid"
ID of the user who created the approval request
object_idstringformat: "uuid"
object_typeenum
required_approval_countinteger>=1
role_idslist of strings
statusenum
Allowed values:
user_idslist of strings
rejected_bystringformat: "uuid"

Errors

400
Get Approval Requests ID Request Bad Request Error
401
Get Approval Requests ID Request Unauthorized Error
403
Get Approval Requests ID Request Forbidden Error
404
Get Approval Requests ID Request Not Found Error
406
Get Approval Requests ID Request Not Acceptable Error
422
Get Approval Requests ID Request Unprocessable Entity Error
500
Get Approval Requests ID Request Internal Server Error